Subject: bug#34819: 26.1; Blank help-echo tooltips for mode line menus

From: Phil Sainty <[email-masked]>
Date: Tue, 12 Mar 2019 19:28:53 +1300

In fact that recipe was more complex than required.

I'd used text-mode because I'd noted that it had tooltips for its
menu -- but so does lisp-interaction-mode, I now realise.  So from
emacs -Q we can go directly to the major mode menu in the mode line,
without changing the major modes at all.  The same issue still occurs.

Likewise, the line-number-mode menu and the "All" to the left of
that both exhibit the same behaviours.

-Phil

On 2019-03-12 12:45, Phil Sainty wrote:
> Recipe from emacs -Q (and --with-x-toolkit=lucid)
> 
> * M-x text-mode
> * Mouse 1 click on "Text" in the mode line to open the menu
> * Hover over any of the menu items until the tooltip appears
> 
> For me, this produces tooltips of the appropriate dimensions, but the
> text itself is not visible.
> 
> When I use the top menu bar instead of the mode line, the tooltip text
> is visible.
> 
> I note also that if I simply hover over "Text" in the mode line, the
> "Major mode" tooltip appears with visible text; however if I click-and-
> hold the mouse button *before* the tooltip has had time to appear, then
> it will be blank when it does appear (over the top of the menu).
> 
> 
> -Phil